package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserGroupDAO;
import com.philisense.www.mapper.ProUserGroupMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProUserGroupDAOImpl implements ProUserGroupDAO {
        @Autowired
        private ProUserGroupMapper proUserGroupMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserGroupMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserGroupMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserGroupMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserGroupMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserGroupMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserGroupMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserGroupMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserGroupMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserGroupMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserGroupMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserGroupMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserGroupMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserGroupMapper.updateBatch(list);
        }

        @Override
        public List<Map<String, Object>> getPageProUserByGroupId(Map<String, Object> map) {
            return proUserGroupMapper.getPageProUserByGroupId(map);
        }

        @Override
        public int getCountProUserByGroupId(Map<String, Object> map) {
            return proUserGroupMapper.getCountProUserByGroupId(map);
        }

    @Override
    public List<Map<String, Object>> getAllProUserByGroupId(Map<String, Object> map) {
        return proUserGroupMapper.getAllProUserByGroupId(map);
    }
}
